Package org.eclipse.birt.report.model.api

# Class RowHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.RowHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.ITableRowModel`

public class RowHandle extends ReportElementHandle implements org.eclipse.birt.report.model.elements.interfaces.ITableRowModel
Represents one row in a Grid or Table. Each row contains some number of cells. And one row can define its height.

See Also:
  - `TableRow`

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ITableRowModel

`BOOKMARK_DISPLAY_NAME_PROP, BOOKMARK_PROP, CONTENT_SLOT, HEIGHT_PROP, LANGUAGE_PROP, ON_CREATE_METHOD, ON_PREPARE_METHOD, ON_RENDER_METHOD, REPEATABLE_PROP, STYLE_PROP, SUPPRESS_DUPLICATES_PROP, TAG_TYPE_PROP, VISIBILITY_PROP`

## Constructor Summary

Constructors
Constructor
Description
`RowHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructs the handle for a row with the given design and element.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBookmark()`
Returns the bookmark of this row.
`String`
`getBookmarkDisplayName()`
Gets the display name of the bookmark.
`SlotHandle`
`getCells()`
Returns the cell slot of row.
`DimensionHandle`
`getHeight()`
Gets a handle to deal with the row's height.
`String`
`getLanguage()`
Returns the language of this label item.
`String`
`getOnCreate()`
Gets the on-finish script of the group.
`String`
`getOnPrepare()`
Gets the on-prepare script of the group.
`String`
`getOnRender()`
Gets the on-finish script of the group.
`boolean`
`repeatable()`
Gets repeatable value.
`void`
`setBookmark(String value)`
Sets the bookmark of this row.
`void`
`setBookmarkDisplayName(String bookmarkDisplayName)`
Sets the display name of the bookmark.
`void`
`setHeight(String height)`
Set the row height based on unit string without locale handling
`void`
`setHeight(DimensionValue height)`
Set the row height based on dimension value
`void`
`setLanguage(String language)`
Sets the language of this label item.
`void`
`setOnCreate(String script)`
Sets the on-create script of the group element.
`void`
`setOnPrepare(String script)`
Sets the on-prepare script of the group element.
`void`
`setOnRender(String script)`
Sets the on-render script of the group element.
`void`
`setRepeatable(boolean repeatable)`
Sets the repeatable value.
`void`
`setSuppressDuplicates(boolean value)`
Sets the flag whether to suppress duplicates rows with same content.
`void`
`setTagType(String tagType)`
Sets the tag type of this label item.
`boolean`
`suppressDuplicates()`
Tests whether to suppress duplicates rows with same content.
`Iterator`
`visibilityRulesIterator()`
Returns visibility rules defined on the table row.

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RowHandle

public RowHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructs the handle for a row with the given design and element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### getCells

public SlotHandle getCells()
Returns the cell slot of row. Through SlotHandle, each cell can be obtained.

Returns:
  the handle to the cell slot
See Also:
  - `SlotHandle`

### getHeight

public DimensionHandle getHeight()
Gets a handle to deal with the row's height.

Returns:
  a DimensionHandle for the row's height.

### getBookmark

public String getBookmark()
Returns the bookmark of this row.

Returns:
  the bookmark of this row

### setBookmark

public void setBookmark(String value) throws SemanticException
Sets the bookmark of this row.

Parameters:
  `value` - the bookmark to set
Throws:
  `SemanticException` - if the property is locked.

### visibilityRulesIterator

public Iterator visibilityRulesIterator()
Returns visibility rules defined on the table row. The element in the iterator is the corresponding `StructureHandle` that deal with a `Hide` in the list.

Returns:
  the iterator for visibility rules defined on this row.
See Also:
  - `HideRule`

### getOnPrepare

public String getOnPrepare()
Gets the on-prepare script of the group. Startup phase. No data binding yet. The design of an element can be changed here.

Returns:
  the on-prepare script of the group

### getOnCreate

public String getOnCreate()
Gets the on-finish script of the group. Presentation phase. The report item has been read from the report document, but not sent to emitter yet.

Returns:
  the on-finish script of the group

### getOnRender

public String getOnRender()
Gets the on-finish script of the group. Presentation phase. The report item has been read from the report document, but not sent to emitter yet.

Returns:
  the on-finish script of the group

### setOnPrepare

public void setOnPrepare(String script) throws SemanticException
Sets the on-prepare script of the group element.

Parameters:
  `script` - the script to set
Throws:
  `SemanticException` - if the method is locked.
See Also:
  - `getOnPrepare()`

### setOnCreate

public void setOnCreate(String script) throws SemanticException
Sets the on-create script of the group element.

Parameters:
  `script` - the script to set
Throws:
  `SemanticException` - if the method is locked.
See Also:
  - `getOnCreate()`

### setOnRender

public void setOnRender(String script) throws SemanticException
Sets the on-render script of the group element.

Parameters:
  `script` - the script to set
Throws:
  `SemanticException` - if the method is locked.
See Also:
  - `getOnRender()`

### suppressDuplicates

public boolean suppressDuplicates()
Tests whether to suppress duplicates rows with same content.

Returns:
  `true` if suppress duplicates rows with same content, otherwise `false`.
See Also:
  - `setSuppressDuplicates(boolean)`

### setSuppressDuplicates

public void setSuppressDuplicates(boolean value) throws SemanticException
Sets the flag whether to suppress duplicates rows with same content.

Parameters:
  `value` - `true` if suppress duplicates rows with same content, otherwise `false`.
Throws:
  `SemanticException` - If the expression is invalid.
See Also:
  - `suppressDuplicates()`

### repeatable

public boolean repeatable()
Gets repeatable value. This property is used to control the output of a row is repeated on every page or just once.

Returns:
  the repeatable value.

### setRepeatable

public void setRepeatable(boolean repeatable) throws SemanticException
Sets the repeatable value. This property is used to control the output of a row is repeated on every page or just once.

Parameters:
  `repeatable` - the repeatable value.
Throws:
  `SemanticException` - if this value is locked.

### getBookmarkDisplayName

public String getBookmarkDisplayName()
Gets the display name of the bookmark.

Returns:
  the display name of the bookmark.

### setBookmarkDisplayName

public void setBookmarkDisplayName(String bookmarkDisplayName) throws SemanticException
Sets the display name of the bookmark.

Parameters:
  `bookmarkDisplayName` - the display name of the bookmark to set
Throws:
  `SemanticException`

### setTagType

public void setTagType(String tagType) throws SemanticException
Sets the tag type of this label item.

Parameters:
  `tagType` - type the tag type
Throws:
  `SemanticException` - if the property is locked.

### getLanguage

public String getLanguage()
Returns the language of this label item.

Returns:
  the language

### setLanguage

public void setLanguage(String language) throws SemanticException
Sets the language of this label item.

Parameters:
  `language` - the language
Throws:
  `SemanticException` - if the property is locked.

### setHeight

public void setHeight(String height) throws SemanticException
Set the row height based on unit string without locale handling

Parameters:
  `height` - row height
Throws:
  `SemanticException`

### setHeight

public void setHeight(DimensionValue height) throws SemanticException
Set the row height based on dimension value

Parameters:
  `height` - row height
Throws:
  `SemanticException`